Роман Роман

Нарисовать параболу

Pinned posts

Приветствую!

 

Возможно проблема у меня мелкая, но в последнее время запарила.

Рисую в скетче параболу путём задания точек, с заранее вычисленными координатами. Потом сплайном соединяю. Получается долго.. Особенно если нужно много вариантов создать.

Решил создать массив точек в матлабе с сохранением в файл *.iges, потом импортировал в скетч - получилась не единая кривая, а множество отрезков. Очень плохо для сетки.

 

В общем, вопросы:

1) Можно ли рисовать кривые в скетче, задавая их функцией? (но чтобы кривая получалась цельная, а не кусочная)

2) Есть ли способ создать iges файл так, чтобы абакус воспринимал точки как один "сплайн-объект"?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах


UnPinned posts

iges делаю так:

Скрытый текст

 

% координаты точек параболы (x y z)

  N=50;

  x=logspace(0,log10(41),N+1)-1;   y=(x.^2)/20;    z=zeros(N+1,1);

 

% Заполнение первой сотни объектов, т.к. какие-то косяки получаются после импорта

  for i=1:100; iges{i}=[-100 -100 0]; end

 

% Запись нужных точек в объект №101

  iges{101}=[x' y' z];

 

% Создание файла

igesout(iges, parab10_50elem');

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Запиши макрос по созданию сплайна, потом подставь нужные точки.

 


# -*- coding: mbcs -*-
#
# Abaqus/CAE Release 6.14-3 replay file
# Internal Version: 2015_02_02-23.17.19 134785
# Run by Alice Kleeve on Tue Oct 23 10:43:10 2018
#

# from driverUtils import executeOnCaeGraphicsStartup
# executeOnCaeGraphicsStartup()
#: Executing "onCaeGraphicsStartup()" in the site directory ...
from abaqus import *
from abaqusConstants import *
session.Viewport(name='Viewport: 1', origin=(0.0, 0.0), width=321.222381591797, 
    height=240.947219848633)
session.viewports['Viewport: 1'].makeCurrent()
session.viewports['Viewport: 1'].maximize()
from caeModules import *
from driverUtils import executeOnCaeStartup
executeOnCaeStartup()
session.viewports['Viewport: 1'].partDisplay.geometryOptions.setValues(
    referenceRepresentation=ON)
Mdb()
#: A new model database has been created.
#: The model "Model-1" has been created.
session.viewports['Viewport: 1'].setValues(displayedObject=None)
s = mdb.models['Model-1'].ConstrainedSketch(name='__profile__', 
    sheetSize=200.0)
g, v, d, c = s.geometry, s.vertices, s.dimensions, s.constraints
s.setPrimaryObject(option=STANDALONE)
# INSERT SPLINE POINTS HERE >>>>>
s.Spline(points=((-40.0, 20.0), (-27.5, 5.0), (-12.5, -5.0), (12.5, 10.0), (
    22.5, 20.0)))
p = mdb.models['Model-1'].Part(name='Part-1', dimensionality=TWO_D_PLANAR, 
    type=DEFORMABLE_BODY)
p = mdb.models['Model-1'].parts['Part-1']
p.BaseWire(sketch=s)
s.unsetPrimaryObject()
p = mdb.models['Model-1'].parts['Part-1']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
del mdb.models['Model-1'].sketches['__profile__']
mdb.models['Model-1'].parts['Part-1'].setValues(geometryRefinement=EXTRA_FINE)
 

3 пользователям понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

@piden , спасибо огромное, вроде работает!

Но...

Для меня это в новинку, и кажется, что я делаю всё коряво и что-то не так: 

Через Macro Manager я записываю макрос создания парта. Появляется файл с расширением .rec. В нём действительно сидит сплайн, но файл не редактируется, и исчезает при закрытии абакуса.

Тогда его нужно скопировать и закрыть cae. Отредактировать rec, сохранить под изначальным именем и запустить cae, выбрать recover, получаем новый парт.

 

И ещё, другой cae не хочет подхватывать этот макрос...

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
15 minutes ago, Роман Роман said:

И ещё, другой cae не хочет подхватывать этот макрос...

Погугли "run macro in abaqus".

Скопируй, сохрани с расширением .py, потом делай File > Run script.

Ну в самом деле!..

1 пользователю понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
42 минуты назад, piden сказал:

Ну в самом деле!..

Ну... вот так..

Спасибо за помощь!

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
2 часа назад, piden сказал:

Alice

@piden А что это за девочка и где она живет? :smile:

1 пользователю понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
11 minutes ago, Blurp said:

@piden А что это за девочка и где она живет? :smile:

...Вдруг в абакусе шарит? И на машинке шьет?

Ну а вы с такими рожами возьмете и припретесь

К Alice....

Вот не нада! piden уже здесь! ))

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Создайте аккаунт или войдите для комментирования

Вы должны быть пользователем, чтобы оставить комментарий

Создать аккаунт

Зарегистрируйтесь для получения аккаунта. Это просто!


Зарегистрировать аккаунт

Войти

Уже зарегистрированы? Войдите здесь.


Войти сейчас

  • Сейчас на странице   0 пользователей

    Нет пользователей, просматривающих эту страницу



  • Сообщения

    • KakTuz
      Пишем в ТТ "деталь изготовить методом 3D печати", даже есть "детали" с запечатанными в них гайками. Модели в архив не сдаём, название модели в чертеже не указываем. Изделия проходят приёмку ВП.
    • EspUser
      Добрый день, что-то у моего Esprit начала течь крыша. Жаль, тут нельзя прикрепить видео, я даже его заснял.   Заходим в 3D фрезерование. Установки станка. Там есть XYZ начальная позиция. Если ставить в YZ ноль, то при нажатии на ОК, окно закрывается и YZ значения самопроизвольно принимают значение 1 !!!! Ставишь любую цифру, кроме нуля - запоминает. В итоге я не могу в начале программы задать начальное положение шпинделя по Y и/или Z равным нулю. До недавнего времени все было нормально. Никто кроме меня этим компьютером не пользуется. Беспорядочно и хаотично кнопки, галочки, без понимания, к чему приведет нажатие  - не жму.
    • Дима 021
      Хочу купить оборудывание для производства саморезов. Какой станок посоветуюте. И есть ли смысл. Кто занимался. Можете что посоветовать . Моя электронка dimitrij_romanov@bk.ru
    • Дима 021
      Хочу купить оборудывание для производства саморезов. Какой станок посоветуюте. И есть ли смысл. Кто занимался. Можете что посоветовать . Моя электронка dimitrij_romanov@bk.ru
    • KakTuz
      @bard, Вы какую цель преследуете? Вырасти материально или профессионально? Если первое, то боюсь, что это безыдейно, поскольку работа должна в первую очередь нравится. Если второе, то здесь уже есть тема для разговора. Выше пару полезных сообщений про качества и навыки написали, конкретика исходя из выполняемых начальником функций, но как правило это организация работы отдела в целом и каждого сотрудника в частности, взаимодействие с другими отделами и принятие решений, анализ работы отдела и т.д и т.п. Чтобы понять что это нужно попробовать, но опять же готовы ли Вы к смене рода занятий? Вы будете не столько конструировать (если вообще будете), сколько помогать другим, передавая им свой опыт, а сотрудники бывают глуповатые, нагловатые, ленивые... в общем разные, а Ваша задача, чтобы каждый работал. Опыт работы конструктором возможно поможет ускорить/упростить какие-то процессы исходя из опыта, отбросить заранее проигрышные варианты конструкции, но начальник-управленец и конструктор - это две большие разницы. Задача начальника не знать как оформить чертёж или разработать узел (хотя общее представление ему не помешает, чтобы подчинённый не сидел неделями над задачей на пару дней) а сделать так, чтобы "Вася" оформил чертёж за три дня. Задача начальника: сформулировать задачу, выбрать Васю (поскольку у каждого сотрудника свой опыт, специфика и т.д.), обеспечить Васю всем необходимым, иногда пинать Васю.
    • Горыныч
      Во, товарищ явно в теме! А также главбуха и печать оформлять нужно не на себя :)
    • Vlad_off
      поддержка есть если их заинтересуешь продлением обслуживания ;) пиши, если что знаю подскажу
    • Vlad_off
      - блок управление пробивки, проверить что на него не приходит или с него не доходит - элемент & - звать сервис  
    • Коля228
      Помогите пожалуйста, как сделать "Расстояние 1" отрецательным?  
    • ДОБРЯК
      Мне не трудно еще раз формулу написать ex = du/dx + ½*(( du/dx)**2 + ( dv/dx)**2 + ( dw/dx)**2  ) и т. д. Уберите w и напишите чему равно ey. У вас же плоская задача.  И есть перемещения и по оси X и по оси Y потому что стержень изогнут. Поэтому деформации ex зависят от перемещений по Y и наоборот. А от деформаций зависит жесткость, поэтому жесткость зависит от величины перемещений. При больших перемещениях стержень потеряет устойчивость, потому что матрица жесткости при определенной силе станет отрицательно определенной в вашей задаче.  Повторяю десятый раз, что все дело в этом  ½*(( du/dx)**2 + ( dv/dx)**2 + ( dw/dx)**2  ) Это и есть геометрически нелинейная задача.